<h3><?php _e('WeCreativez Exit Popup Feedback', 'wepf') ?></h3>
<hr>

<?php 
	// check for update 
	$this->check_update() 
?>
<!-- form start -->
<form method="post" id="wepf-form">


	<h3><?php _e('Designing', 'wepf') ?></h3>
	<table class="form-table">
    <tbody>
    	<!-- background color -->
      <tr>
		    <th scope="row">
		      <label><?php _e('Background color', 'wepf') ?></label>
		    </th>
		    <td>
	        <input type="text" name="wepf_input[interface_bg_color]" class="wepf-color-picker" value="<?php echo $this->get_setting('interface_bg_color') ?>">
	        <br>
	        <span class="description"></span>
		    </td>
			</tr><!-- end background color -->

			<!-- text color -->
      <tr>
		    <th scope="row">
		      <label><?php _e('Text color', 'wepf') ?></label>
		    </th>
		    <td>
	        <input type="text" name="wepf_input[interface_text_color]" class="wepf-color-picker" value="<?php echo $this->get_setting('interface_text_color') ?>">
	        <br>
	        <span class="description"></span>
		    </td>
			</tr><!-- end text color -->
    </tbody>
	</table>


	<h3><?php _e('Text Setting', 'wepf') ?></h3>
	<table class="form-table">
    <tbody>
    	<!-- header text -->
      <tr>
		    <th scope="row">
		      <label><?php _e('Header text', 'wepf') ?></label>
		    </th>
		    <td>
	        <input type="text" name="wepf_input[text_header_text]" maxlength="56" value="<?php echo $this->get_setting('text_header_text') ?>">
	        <br>
	        <span class="description"></span>
		    </td>
			</tr><!-- end header text -->

			<!-- button text -->
      <tr>
		    <th scope="row">
		      <label><?php _e('Button text', 'wepf') ?></label>
		    </th>
		    <td>
	        <input type="text" name="wepf_input[text_button_text]" maxlength="20" value="<?php echo $this->get_setting('text_button_text') ?>">
	        <br>
	        <span class="description"></span>
		    </td>
			</tr><!-- end button text -->

			<!-- close text -->
      <tr>
		    <th scope="row">
		      <label><?php _e('Close text', 'wepf') ?></label>
		    </th>
		    <td>
	        <input type="text" name="wepf_input[text_close_text]" maxlength="50" value="<?php esc_attr_e($this->get_setting('text_close_text'), 'wepf') ?>">
	        <br>
	        <span class="description"></span>
		    </td>
			</tr><!-- end close text -->
    </tbody>
	</table>


		<h3><?php _e('Exit pupup settings', 'wepf') ?></h3>
		<table class="form-table">
	    <tbody>
	    	<!-- display on mobile -->
	      <tr>
			    <th scope="row">
			      <label><?php _e('Display on mobile', 'wepf') ?></label>
			    </th>
			    <td>
		        <select name="wepf_input[setting_display_on_mobile]">
		        	<option value="1" <?php echo $this->get_setting('setting_display_on_mobile') == 1 ? 'selected' : '' ?> ><?php _e('Yes', 'wepf') ?></option>
		        	<option value="0" <?php echo $this->get_setting('setting_display_on_mobile') == 0 ? 'selected' : '' ?> ><?php _e('No', 'wepf') ?></option>
		        </select>
		        <br>
		        <span class="description"></span>
			    </td>
				</tr><!-- end display on mobile -->

				<!-- Popup display on mobile after -->
	      <tr>
			    <th scope="row">
			      <label><?php _e('Popup display on mobile after', 'wepf') ?></label>
			    </th>
			    <td>
		        <input type="number" name="wepf_input[setting_popup_display_on_mobile_after]" min="1" value="<?php echo $this->get_setting('setting_popup_display_on_mobile_after') ?>">
		        <br>
		        <span class="description"><?php _e('In Seconds ( best practice 15 seconds ) ', 'wepf') ?></span>
			    </td>
				</tr><!-- end Popup display on mobile after -->

				<!-- display on desktop -->
	      <tr>
			    <th scope="row">
			      <label><?php _e('Display on desktop', 'wepf') ?></label>
			    </th>
			    <td>
		        <select name="wepf_input[setting_display_on_desktop]">
		        	<option value="1" <?php echo $this->get_setting('setting_display_on_desktop') == 1 ? 'selected' : '' ?> ><?php _e('Yes', 'wepf') ?></option>
		        	<option value="0" <?php echo $this->get_setting('setting_display_on_desktop') == 0 ? 'selected' : '' ?> ><?php _e('No', 'wepf') ?></option>
		        </select>
		        <br>
		        <span class="description"></span>
			    </td>
				</tr><!-- end display on desktop -->

	    	<!-- display close text -->
	      <tr>
			    <th scope="row">
			      <label><?php _e('Display close text', 'wepf') ?></label>
			    </th>
			    <td>
		        <select name="wepf_input[setting_display_close_text]">
		        	<option value="1" <?php echo $this->get_setting('setting_display_close_text') == 1 ? 'selected' : '' ?> ><?php _e('Yes', 'wepf') ?></option>
		        	<option value="0" <?php echo $this->get_setting('setting_display_close_text') == 0 ? 'selected' : '' ?> ><?php _e('No', 'wepf') ?></option>
		        </select>
		        <br>
		        <span class="description"></span>
			    </td>
				</tr><!-- end display close text -->

	    	<!-- Enable Right to Left -->
	      <tr>
			    <th scope="row">
			      <label><?php _e('Enable Right to left', 'wepf') ?></label>
			    </th>
			    <td>
		        <select name="wepf_input[setting_enable_rlt]">
		        	<option value="rtl" <?php echo $this->get_setting('setting_enable_rlt') == 'rtl' ? 'selected' : '' ?> ><?php _e('Yes', 'wepf') ?></option>
		        	<option value="ltr" <?php echo $this->get_setting('setting_enable_rlt') == 'ltr' ? 'selected' : '' ?> ><?php _e('No', 'wepf') ?></option>
		        </select>
		        <br>
		        <span class="description"></span>
			    </td>
				</tr><!-- end Enable Right to Left -->

				<!-- Popup display after -->
	      <tr>
			    <th scope="row">
			      <label><?php _e('Popup display after', 'wepf') ?></label>
			    </th>
			    <td>
		        <input type="number" name="wepf_input[setting_popup_display_after]" min="1" max="14" value="<?php echo $this->get_setting('setting_popup_display_after') ?>">
		        <br>
		        <span class="description"><?php _e('In Days ( best practice 7 days )', 'wepf') ?></span>
			    </td>
				</tr><!-- end Popup display after -->

				
	    </tbody>
		</table>


		<h3><?php _e('Feedback questions', 'wepf') ?></h3>
		<table class="form-table">
	    <tbody>
	    	<!-- feedback questions 1 -->
	      <tr>
			    <th scope="row">
			      <label><?php _e('Feedback Questions 1', 'wepf') ?></label>
			    </th>
			    <td>
		        <input type="text" name="wepf_input[feedback_questions][que1]" value="<?php echo $this->get_question('que1') ?>">
		        <br>
		        <span class="description"></span>
			    </td>
				</tr><!-- end feedback questions 1 -->

	    	<!-- feedback questions 2 -->
	      <tr>
			    <th scope="row">
			      <label><?php _e('Feedback Questions 2', 'wepf') ?></label>
			    </th>
			    <td>
		        <input type="text" name="wepf_input[feedback_questions][que2]" value="<?php echo $this->get_question('que2') ?>">
		        <br>
		        <span class="description"></span>
			    </td>
				</tr><!-- end feedback questions 2 -->

				<!-- feedback questions 3 -->
	      <tr>
			    <th scope="row">
			      <label><?php _e('Feedback Questions 3', 'wepf') ?></label>
			    </th>
			    <td>
		        <input type="text" name="wepf_input[feedback_questions][que3]" value="<?php echo $this->get_question('que3') ?>">
		        <br>
		        <span class="description"></span>
			    </td>
				</tr><!-- end feedback questions 3 -->

				<!-- feedback questions 4 -->
	      <tr>
			    <th scope="row">
			      <label><?php _e('Feedback Questions 4', 'wepf') ?></label>
			    </th>
			    <td>
		        <input type="text" name="wepf_input[feedback_questions][que4]" value="<?php echo $this->get_question('que4') ?>">
		        <br>
		        <span class="description"></span>
			    </td>
				</tr><!-- end feedback questions 4 -->

				<!-- feedback questions 5 -->
	      <tr>
			    <th scope="row">
			      <label><?php _e('Feedback Questions 5', 'wepf') ?></label>
			    </th>
			    <td>
		        <input type="text" name="wepf_input[feedback_questions][que5]" value="<?php echo $this->get_question('que5') ?>">
		        <br>
		        <span class="description"></span>
			    </td>
				</tr><!-- end feedback questions 5 -->

	    </tbody>
		</table>

		
			<h3><?php _e('CSV options', 'wepf') ?></h3>
			<table class="form-table">
		    <tbody>
		    	<!-- download csv -->
		      <tr>
				    <th scope="row">
				      <label><?php _e('Download CSV', 'wepf') ?></label>
				    </th>
				    <td>
			        <a href="<?php echo $this->feedback_csv_url() ?>" id="wepf-download-csv-btn"><?php _e('Download CSV', 'wepf') ?></a>
			        <br>
			        <span class="description"></span>
				    </td>
					</tr><!-- end download csv -->

					<!-- delete csv -->
		      <tr>
				    <th scope="row">
				      <label><?php _e('Delete CSV', 'wepf') ?></label>
				    </th>
				    <td>
			        <a href="admin.php?page=wecreativez-exit-popup-feedback&wepf_delete_csv=1" id="wepf-delete-csv-btn" onclick="return confirm('<?php _e('Are you want to delete this file?', 'wepf') ?>')"><?php _e('Delete CSV', 'wepf') ?></a>
			        <br><br>
			        <span class="description"><?php _e('This will delete your current feedback CSV and start collecting new feedback', 'wepf') ?></span>
				    </td>
					</tr><!-- end delete csv -->

					<!-- redisplay popup -->
		      <tr>
				    <th scope="row">
				      <label><?php _e('Show Popup', 'wepf') ?></label>
				    </th>
				    <td>
			        <a href="javascript:void(0);" id="wepf-admin-show-popup"><?php _e('Show Popup', 'wepf') ?></a>
			        <br>
			        <span class="description"><?php _e('If you submitted or close popup on your system while testing, than this link helps to re-display popup on your system.', 'wepf') ?></span>
				    </td>
					</tr><!-- end redisplay popup -->

		    </tbody>
			</table>
		

<!-- submit button -->
<p class="submit">
  <input type="submit" value="Save Changes" class="button-primary" name="wepf_admin_form_submit">
</p><!-- end submit button -->



</form><!-- end form start -->
